continuum-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From br...@apache.org
Subject svn commit: r939165 - /continuum/trunk/release-script.sh
Date Thu, 29 Apr 2010 01:46:36 GMT
Author: brett
Date: Thu Apr 29 01:46:36 2010
New Revision: 939165

URL: http://svn.apache.org/viewvc?rev=939165&view=rev
Log:
update release script to use a remote URL instead

Modified:
    continuum/trunk/release-script.sh

Modified: continuum/trunk/release-script.sh
URL: http://svn.apache.org/viewvc/continuum/trunk/release-script.sh?rev=939165&r1=939164&r2=939165&view=diff
==============================================================================
--- continuum/trunk/release-script.sh (original)
+++ continuum/trunk/release-script.sh Thu Apr 29 01:46:36 2010
@@ -6,51 +6,75 @@
 set -x
 if test $# -ne 2 
 then
-  echo 'usage release-script.sh version stagingRepoPath on p.a.o'
+  echo 'usage release-script.sh version stagingRepoUrl'
   exit
 fi
 export VER=$1
 export STAGE_REPO=$2
 
+mkdir /www/people.apache.org/builds/continuum/$1
 cd /www/people.apache.org/builds/continuum/$1
 
-find $STAGE_REPO -name "*.zip*"    -exec cp {} . \;
-find $STAGE_REPO -name "*.tar.gz*" -exec cp {} . \;
-find $STAGE_REPO -name "*.war*"    -exec cp {} . \;
-find . -name "*.asc.*" -exec rm {} \;
-
-mv continuum-$VER.zip apache-continuum-$VER-src.zip
-mv continuum-$VER.zip.md5 apache-continuum-$VER-src.zip.md5
-mv continuum-$VER.zip.sha1 apache-continuum-$VER-src.zip.sha1
-mv continuum-$VER.zip.asc apache-continuum-$VER-src.zip.asc
-
-mv continuum-jetty-$VER-bin.tar.gz apache-continuum-$VER-bin.tar.gz
-mv continuum-jetty-$VER-bin.tar.gz.md5 apache-continuum-$VER-bin.tar.gz.md5
-mv continuum-jetty-$VER-bin.tar.gz.sha1 apache-continuum-$VER-bin.tar.gz.sha1
-mv continuum-jetty-$VER-bin.tar.gz.asc apache-continuum-$VER-bin.tar.gz.asc
-
-mv continuum-jetty-$VER-bin.zip apache-continuum-$VER-bin.zip
-mv continuum-jetty-$VER-bin.zip.md5 apache-continuum-$VER-bin.zip.md5
-mv continuum-jetty-$VER-bin.zip.sha1 apache-continuum-$VER-bin.zip.sha1
-mv continuum-jetty-$VER-bin.zip.asc apache-continuum-$VER-bin.zip.asc
-
-mv continuum-webapp-$VER.war apache-continuum-$VER.war
-mv continuum-webapp-$VER.war.asc apache-continuum-$VER.war.asc
-mv continuum-webapp-$VER.war.md5 apache-continuum-$VER.war.md5
-mv continuum-webapp-$VER.war.sha1 apache-continuum-$VER.war.sha1
-
-mv continuum-buildagent-jetty-$VER-bin.tar.gz apache-continuum-buildagent-$VER-bin.tar.gz
-mv continuum-buildagent-jetty-$VER-bin.tar.gz.md5 apache-continuum-buildagent-$VER-bin.tar.gz.md5
-mv continuum-buildagent-jetty-$VER-bin.tar.gz.sha1 apache-continuum-buildagent-$VER-bin.tar.gz.sha1
-mv continuum-buildagent-jetty-$VER-bin.tar.gz.asc apache-continuum-buildagent-$VER-bin.tar.gz.asc
-
-mv continuum-buildagent-jetty-$VER-bin.zip apache-continuum-buildagent-$VER-bin.zip
-mv continuum-buildagent-jetty-$VER-bin.zip.md5 apache-continuum-buildagent-$VER-bin.zip.md5
-mv continuum-buildagent-jetty-$VER-bin.zip.sha1 apache-continuum-buildagent-$VER-bin.zip.sha1
-mv continuum-buildagent-jetty-$VER-bin.zip.asc apache-continuum-buildagent-$VER-bin.zip.asc
-
-mv continuum-buildagent-webapp-$VER.war apache-continuum-buildagent-$VER.war
-mv continuum-buildagent-webapp-$VER.war.asc apache-continuum-buildagent-$VER.war.asc
-mv continuum-buildagent-webapp-$VER.war.md5 apache-continuum-buildagent-$VER.war.md5
-mv continuum-buildagent-webapp-$VER.war.sha1 apache-continuum-buildagent-$VER.war.sha1
+mkdir binaries
+(
+cd binaries
+for i in tar.gz tar.gz.asc tar.gz.md5 tar.gz.sha1 zip zip.asc zip.md5 zip.sha1
+do
+  wget -O apache-continuum-$version-bin.$i $repo/org/apache/continuum/continuum-jetty/$version/continuum-jetty-$version-bin.$i
+  if [ ! -f apache-continuum-$version-bin.$i ]; then
+    echo Unable to find apache-continuum-$version-bin.$i
+    exit 1
+  fi
+done
+
+for i in tar.gz tar.gz.asc tar.gz.md5 tar.gz.sha1 zip zip.asc zip.md5 zip.sha1
+do
+  wget -O apache-continuum-buildagent-$version-bin.$i $repo/org/apache/continuum/continuum-buildagent-jetty/$version/continuum-buildagent-jetty-$version-bin.$i
+  if [ ! -f apache-continuum-buildagent-$version-bin.$i ]; then
+    echo Unable to find apache-continuum-buildagent-$version-bin.$i
+    exit 1
+  fi
+done
+
+for i in war war.asc war.md5 war.sha1
+do
+  wget -O apache-continuum-$version.$i $repo/org/apache/continuum/continuum-webapp/$version/continuum-webapp-$version.$i
+  if [ ! -f apache-continuum-$version.$i ]; then
+    echo Unable to find apache-continuum-$version.$i
+    exit 1
+  fi
+done
+
+for i in war war.asc war.md5 war.sha1
+do
+  wget -O apache-continuum-buildagent-$version.$i $repo/org/apache/continuum/continuum-webapp/$version/continuum-buildagent-webapp-$version.$i
+  if [ ! -f apache-continuum-buildagent-$version.$i ]; then
+    echo Unable to find apache-continuum-buildagent-$version.$i
+    exit 1
+  fi
+done
+
+for i in zip zip.asc zip.md5 zip.sha1
+do
+  wget -O apache-continuum-$version-docs.$i $repo/org/apache/continuum/continuum-docs/$version/continuum-docs-$version-docs.$i
+  if [ ! -f apache-continuum-$version-docs.$i ]; then
+    echo Unable to find apache-continuum-$version-docs.$i
+    exit 1
+  fi
+done
+)
+
+mkdir source
+(
+cd source
+for i in zip zip.asc zip.md5 zip.sha1
+do
+  wget -O apache-continuum-$version-src.$i $repo/org/apache/continuum/continuum/$version/continuum-$version-src.$i
+  if [ ! -f apache-continuum-$version-src.$i ]; then
+    echo Unable to find apache-continuum-$version-src.$i
+    exit 1
+  fi
+done
+)
+
 echo 'GREAT :-) '



Mime
View raw message